const server = require('http').createServer();
const io = require('socket.io')(server);

// in seconds
const creationTime = 2.5;

io.on('connection', socket => {
  console.log('A client has connected - ID: ' + socket.id);
  socket.send('io connected');

  socket.on('join_room', data => {
    console.log("Join_room:")
    console.log(data);

    let room = data.username;

    socket.join(room);

    console.log(socket.rooms)
    console.log(socket.id+ " has joined room: " + room);
    io.in(room).clients((err, clients) => {
      console.log("clients:\n" + clients);
      socket.send('Room \'' + room + '\' has ' + clients.length + ' user(s)')
    });
    socket.send('room \'' + room + '\' joined');
  });

  socket.on('request', data => {
    console.log('requested: ' + socket.id)
    console.log(socket.rooms)
    console.log(data);

    let room = data.username;

    console.log(`socket.to(${room}).emit('requested')`);
    socket.to(room).emit('requested');

    setTimeout(() => {
      console.log(socket.rooms)
      io.to(room).emit('created');
    }, creationTime * 1000);
  });

  socket.on('disconnect', () => {
    console.log('disconnect: ' + socket.id);
  });
});

server.listen(5000, () => {
  console.log('listening on *.5000');
});
